/* Main structure ------------------------------------------------------------*/

html, body {
	height: 100%;
	margin: 0;
}

body {
	font-family: Arial, sans-serif;
	background-color: var(--col-background);
	background-image: url("/assets/images/background.png");
	background-size: cover;
	background-attachment: scroll;

	display: flex;
	flex-direction: column;
}

main {
	padding: 16px;
	color: var(--col-text);

	flex: 1;
	max-width: 1200px;
	margin: 0 auto;
	width: 100%;
	box-sizing: border-box;
}

@media (max-width: 768px) {
	main {
		padding-left: 0;
		padding-right: 0;
	}
}

/* Section -------------------------------------------------------------------*/

section {
	border-bottom: 4px solid var(--col-accent);
	border-radius: 8px;
	margin-bottom: 32px;
	background-color: var(--col-accent-light);
	box-shadow: 0 0px 32px black;
}

.section-content {
	padding-left: 16px;
	padding-right: 16px;
	padding-bottom: 16px;
}

section h1 {
	font-size: 1.5em;
	background: var(--col-main-gradient);
	color: var(--col-text);
	text-shadow: 2px 2px var(--col-text-negative);
	padding: 12px 18px;
	border-radius: 8px 8px 0 0;
	border-bottom: 4px solid var(--col-text);
}

section hr {
	border-top: 2px solid var(--col-text);
}

.highlight-card {
	margin: 0;
}

.highlight-card .game-card {
	max-width: 420px;
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 0;
}

.game-grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
	gap: 16px;
}

/* Footer --------------------------------------------------------------------*/

nav-footer {
	background-color: var(--col-accent);
	color: var(--col-text);
	box-shadow: 0 0px 32px black;
}
.footer-content {
	max-width: 1200px;
	margin: 0 auto;
}
.footer-table {
	margin-left: 32px;
	margin-right: 32px;
	width: calc(100% - 64px);
	table-layout: fixed;
}

nav-footer a {
	color: var(--col-text);
	display: inline-block;
	text-decoration: none;
	padding: 4px;
	border-radius: 4px;
}

/* Header --------------------------------------------------------------------*/

nav-header {
	box-shadow: 0 0px 32px black;
}

.banner {
	background-color: var(--col-accent-light);
	background-image: url("/assets/images/banner.png");
	background-position: 50% 20%;
	padding-left: 16px;
	padding-right: 16px;
	color: var(--col-text);
	border-bottom: 4px solid var(--col-text);
}

/* Generic -------------------------------------------------------------------*/

/* Limit width and center horizontally */
.banner-content,
.topnav-content
{
	max-width: 1200px;
	margin: 0 auto;
}

.text-align-right {
	text-align: right;
}

a {
	color: var(--col-main);
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}
